Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.events
Class CacheEntryEventType

    java.lang.Object
      com.opensymphony.oscache.base.events.CacheEntryEventType

public final class CacheEntryEventType
extends java.lang.Object

This is all the possible events that may occur on a cache entry or collection of cache entries.

There is a corresponding interface `CacheEntryEventListener` for handling these events.

Version:
  $Revision: 1.1 $
Author:
  Francois Beauregard

Field Summary
`static CacheEntryEventType` | `ENTRY_ADDED` Get an event type for an entry added.
`static CacheEntryEventType` | `ENTRY_FLUSHED` Get an event type for an entry flushed.
`static CacheEntryEventType` | `ENTRY_REMOVED` Get an event type for an entry removed.
`static CacheEntryEventType` | `ENTRY_UPDATED` Get an event type for an entry updated.
`static CacheEntryEventType` | `GROUP_FLUSHED` Get an event type for a group flush event.
`static CacheEntryEventType` | `PATTERN_FLUSHED` Get an event type for a pattern flush event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTRY_ADDED

    public static CacheEntryEventType ENTRY_ADDED

  Get an event type for an entry added.

### ENTRY_UPDATED

    public static CacheEntryEventType ENTRY_UPDATED

  Get an event type for an entry updated.

### ENTRY_FLUSHED

    public static CacheEntryEventType ENTRY_FLUSHED

  Get an event type for an entry flushed.

### ENTRY_REMOVED

    public static CacheEntryEventType ENTRY_REMOVED

  Get an event type for an entry removed.

### GROUP_FLUSHED

    public static CacheEntryEventType GROUP_FLUSHED

  Get an event type for a group flush event.

### PATTERN_FLUSHED

    public static CacheEntryEventType PATTERN_FLUSHED

  Get an event type for a pattern flush event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD